## cython 3.0.8

=== debian/changelog ===
cython (3.0.8-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:06 +1100

cython (3.0.8-1ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:20 +0100

cython (3.0.8-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jan 2024 12:55:48 +0100

cython (3.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Patch: pyximport: Avoid chdir() and relative paths. (Closes: #1056872)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Jan 2024 14:14:12 -0400

cython (3.0.7-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 30 Dec 2023 11:42:37 -0400

cython (3.0.7-2) unstable; urgency=medium

  * Team upload.
  * Correctly skip cpp_stl_any, which is a doctest and must be skipped by
    module name only.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Dec 2023 15:53:55 -0400

cython (3.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2023 21:26:11 -0400

cython (3.0.6-3) unstable; urgency=medium

  * Team upload.
  * Patch: Disable some tests that are failing on Debian CI.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2023 12:53:51 -0400

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-exec,
               dh-python,
               gdb <!nocheck>,
               help2man,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy [!i386] <!nocheck>,
               python3-setuptools <!nocheck>
Build-Depends-Indep: python3-sphinx, python3-sphinx-issues, python3-sphinx-tabs
Standards-Version: 4.6.1
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cython

Package: cython3
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: gcc, python3-dev
Replaces: cython3-dbg (<< 0.29.36-2~), cython (<< 0.29.14-2)
Breaks: cython3-dbg (<< 0.29.36-2~), cython (<< 0.29.14-2)
Suggests: cython-doc
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: cython3
Description: C-Extensions for Python - documentation
 This package contains documentation for Cython.

=== debian/tests/control ===
Tests: import3
Depends: cython3, python3-all
Restrictions: superficial

Tests: testsuite
Depends: cython3,
         g++,
         gcc,
         gdb,
         make,
         python3-all-dev,
         python3-numpy,
         python3-setuptools
Restrictions: allow-stderr

## cython 3.0.10%2Bdfsg

=== debian/changelog ===
cython (3.0.10+dfsg-5) unstable; urgency=medium

  * Team upload
  * When there is more than one supported Python version, i386 and arm64
    are too slow for autopkgtest to run the entire testsuite on each
    Python version without timing out.  So we restrict to only the default
    version on those archs.

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Apr 2024 19:39:36 +0100

cython (3.0.10+dfsg-4) unstable; urgency=medium

  * Team upload
  * debian/:
    - Build with --with=sphinxdoc only on -indep builds
    - Stop building debug extensions to finish move to -dbgsym
      packages (Closes: 1069305)
  * debian/rules:
    - Use $(MAKE) instead of make
    - Run tests only for -arch builds.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Apr 2024 18:15:24 +0200

cython (3.0.10+dfsg-3) unstable; urgency=medium

  * Team upload
  * Only build documentation when building arch-independent package

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 23:06:08 +0100

cython (3.0.10+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix build-dependencies

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 15:29:16 +0100

cython (3.0.10+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version (closes: #1059835)
  * Install cythonize command-line script
  * Update to debhelper compat level 13
  * Update Standards-Version to 4.7.0 (no changes required)
  * Build with sphinxdoc to avoid embedded JavaScript code, and move
    documentation to /usr/share/doc/cython3
  * Add help2man-generated manpages for cythonize and cygdb
  * Update d/copyright and exclude demo files with unclear licensing
    conditions
  * Add doc-base file to cython-doc

 -- Julian Gilbey <jdg@debian.org>  Wed, 17 Apr 2024 22:17:50 +0100

## cython 3.0.10+dfsg

=== debian/changelog ===
cython (3.0.10+dfsg-5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 06 May 2024 15:46:52 +0000

## cython 3.0.11+dfsg

=== debian/changelog ===
cython (3.0.11+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Backport ufunc Numpy2 fix (closes: #1095084).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Feb 2025 17:55:27 +0000

cython (3.0.11+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
  * Refresh patches.
  * Patch: Fix a regression reported upstream.
  * Add a debian/.gitignore file to negate upstream's *.patch ignore.
  * Clean generated C sources.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Aug 2024 23:23:20 +0200

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               gdb <!nocheck>,
               help2man,
               python3-all-dev,
               python3-numpy <!nocheck>,
               python3-setuptools <!nocheck>,
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     python3-sphinx,
                     python3-sphinx-issues,
                     python3-sphinx-tabs
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cython
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language
 as easy as Python itself. Cython is based on the well-known Pyrex, but
 supports more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython3
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: gcc,
            python3-dev
Replaces: cython (<< 0.29.14-2),
Breaks: cython (<< 0.29.14-2),
Suggests: cython-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the Python library and command-line tools.

Package: cython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: cython3
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This package installs the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

# Python versions
PY3DEF=$(shell py3versions -dv)
PY3VERS=$(shell py3versions -vr)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  RUNTESTSOPTS=--shard_count=$(NUMJOBS)
endif

# In case matplotlib or anything else inquires
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

export PYBUILD_DESTDIR=debian/cython3

%:
	dh $@ --buildsystem pybuild

override_dh_installman-arch: build/cython.1 build/cythonize.1 build/cygdb.1
	dh_installman -a

build/cython.1:
	: # Generate a manpage using help2man
	echo ".so cython.1" >> build/cython3.1
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PY3DEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "compile Cython code (.pyx) into C to build a Python extension" \
		bin/cython >| build/cython.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cython.1 && exit 1 || :

build/cygdb.1:
	: # Generate a manpage using help2man
	echo ".so cygdb.1" >> build/cygdb3.1
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PY3DEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "Run compiled Cython code under the GNU debugger" \
		bin/cygdb >| build/cygdb.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cygdb.1 && exit 1 || :

build/cythonize.1:
	: # Generate a manpage using help2man
	echo ".so cythonize.1" >> build/cythonize3.1
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PY3DEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "Compile Cython code (.pyx) into C to build a Python extension" \
		bin/cythonize >| build/cythonize.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cythonize.1 && exit 1 || :

execute_after_dh_install-arch:
	# add debian version to watermark of generated files
	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
	  debian/cython3/usr/lib/python3*/dist-packages/Cython/Compiler/Version.py

execute_after_dh_auto_build-indep:
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html
endif

override_dh_installdocs:
	dh_installdocs -pcython-doc --doc-main-package=cython3
	dh_installdocs --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs --all CHANGES.rst

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
	set -e; for P in $(PY3VERS); do \
	 echo =============== $$P start ===============; \
	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
            --no-refnanny -v -v \
	    --exclude="(parallel|Debugger|annotate_html|numpy_test)" \
	    --work-dir=build/work-dir 2>&1; \
	 then \
	   echo =============== $$P done ===============; \
	 else \
	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
	 fi; \
	done
endif

override_dh_auto_test-indep:
	# no tests

override_dh_strip:
	dh_strip --dbgsym-migration='cython3-dbg (<< 0.29.36-1~)'

execute_after_dh_python3:
	# fix shebang lines
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*

execute_after_dh_auto_clean:
	rm -rf docs/build

## cython 3.1.6%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

# Python versions
PY3DEF=$(shell py3versions -dv)
PY3VERS=$(shell py3versions -vr)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  RUNTESTSOPTS=--shard_count=$(NUMJOBS)
endif

# In case matplotlib or anything else inquires
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

# For debian/generate-manpage
export DEB_VERSION_UPSTREAM

export PYBUILD_DESTDIR=debian/cython3

%:
	dh $@ --buildsystem pybuild

execute_after_dh_install-arch:
	# add debian version to watermark of generated files
	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
	  debian/cython3/usr/lib/python3*/dist-packages/Cython/Compiler/Version.py

execute_after_dh_auto_build-indep:
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html
endif

override_dh_installdocs:
	dh_installdocs -pcython-doc --doc-main-package=cython3
	dh_installdocs --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs --all CHANGES.rst

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
	set -e; for P in $(PY3VERS); do \
	 echo =============== $$P start ===============; \
	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
            --no-refnanny -v -v \
	    --exclude="(parallel|Debugger|annotate_html|numpy_test|subinterpreters_threading_stress_test)" \
	    --work-dir=build/work-dir 2>&1; \
	 then \
	   echo =============== $$P done ===============; \
	 else \
	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
	 fi; \
	done
endif

override_dh_auto_test-indep:
	# no tests

override_dh_strip:
	dh_strip --dbgsym-migration='cython3-dbg (<< 0.29.36-1~)'

execute_after_dh_python3:
	debian/generate-manpage cython "compile Cython code (.pyx) into C to build a Python extension" debian/cython3
	debian/generate-manpage cygdb "run compiled Cython code under the GNU debugger" debian/cython3
	debian/generate-manpage cythonize "compile Cython code (.pyx) into C to build a Python extension" debian/cython3
	find debian/cython3 -name __pycache__ | xargs -r -- rm -rf

execute_after_dh_auto_clean:
	rm -rf docs/build

## cython 3.1.6+dfsg

=== Makefile ===
PACKAGENAME=Cython
PYTHON?=python3
TESTOPTS?=
REPO = git://github.com/cython/cython.git
VERSION?=$(shell sed -ne 's|^__version__\s*=\s*"\([^"]*\)".*|\1|p' Cython/Shadow.py)
PARALLEL?=-j5

MANYLINUX_CFLAGS=-O3 -g0 -mtune=generic -pipe -fPIC
MANYLINUX_LDFLAGS=
MANYLINUX_IMAGES= \
	manylinux2014_x86_64 \
	manylinux2014_i686 \
	musllinux_1_1_x86_64 \
	musllinux_1_1_aarch64 \
	manylinux_2_24_x86_64 \
	manylinux_2_24_i686 \
	manylinux_2_24_aarch64 \
	manylinux_2_28_x86_64 \
	manylinux_2_28_aarch64 \
#	manylinux_2_24_ppc64le \
#	manylinux_2_24_s390x

all:    local

local:
	${PYTHON} setup.py build_ext --inplace $(PARALLEL)

plocal:
	${PYTHON} setup.py build_ext --inplace --cython-profile $(PARALLEL)

sdist: dist/$(PACKAGENAME)-$(VERSION).tar.gz

dist/$(PACKAGENAME)-$(VERSION).tar.gz:
	$(PYTHON) setup.py sdist

pywheel: dist/$(PACKAGENAME)-$(VERSION)-py3-none-any.whl

dist/$(PACKAGENAME)-$(VERSION)-py3-none-any.whl:
	${PYTHON} setup.py bdist_wheel --no-cython-compile
	[ -f "$@" ]  # check that we generated the expected Py3-only wheel

TMPDIR = .repo_tmp
.git: .gitrev
	rm -rf $(TMPDIR)
	git clone -n $(REPO) $(TMPDIR)
	cd $(TMPDIR) && git reset -q "$(shell cat .gitrev)"
	mv $(TMPDIR)/.git .
	rm -rf $(TMPDIR)
	git ls-files -d | xargs git checkout --

# Create a git repo from an unpacked source directory.
repo: .git


clean:
	@echo Cleaning Source
	@rm -fr build
	@rm -f *.py[co] */*.py[co] */*/*.py[co] */*/*/*.py[co]
	@rm -f *.so */*.so */*/*.so
	@rm -f *.pyd */*.pyd */*/*.pyd
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@rm -f Cython/*.c
	@rm -f Cython/Compiler/*.c
	@rm -f Cython/Plex/*.c
	@rm -f Cython/Tempita/*.c
	@rm -f Cython/Runtime/refnanny.c
	@(cd Demos; $(MAKE) clean)

testclean:
	rm -fr BUILD TEST_TMP

test:	testclean
	${PYTHON} runtests.py -vv ${TESTOPTS}

checks:
	${PYTHON} runtests.py -vv --no-unit --no-doctest --no-file --no-pyregr --no-examples

s5:
	$(MAKE) -C Doc/s5 slides

qemu-user-static:
	docker run --rm --privileged hypriot/qemu-register

wheel_manylinux: sdist $(addprefix wheel_,$(MANYLINUX_IMAGES))
$(addprefix wheel_,$(filter-out %_x86_64, $(filter-out %_i686, $(MANYLINUX_IMAGES)))): qemu-user-static

wheel_%: dist/$(PACKAGENAME)-$(VERSION).tar.gz
	echo "Building wheels for $(PACKAGENAME) $(VERSION)"
	mkdir -p wheelhouse_$(subst wheel_,,$@)
	time docker run --rm -t \
		-v $(shell pwd):/io \
		-e CFLAGS="$(MANYLINUX_CFLAGS)" \
		-e LDFLAGS="$(MANYLINUX_LDFLAGS) -fPIC" \
		-e WHEELHOUSE=wheelhouse$(subst wheel_musllinux,,$(subst wheel_manylinux,,$@)) \
		quay.io/pypa/$(subst wheel_,,$@) \
		bash -c '\
			rm -fr /opt/python/*pypy* ; \
			rm -fr /opt/python/*{27*,3[456]*} ; \
			ls /opt/python/ ; \
			for PYBIN in /opt/python/cp*/bin; do \
		    $$PYBIN/python -V; \
		    { $$PYBIN/pip wheel -w /io/$$WHEELHOUSE /io/$< & } ; \
		    done; wait; \
		    for whl in /io/$$WHEELHOUSE/$(PACKAGENAME)-$(VERSION)-*-linux_*.whl; do auditwheel repair $$whl -w /io/$$WHEELHOUSE; done'

=== Doc/s5/Makefile ===

SLIDES=$(subst .txt,.html,$(wildcard *.txt))
SOURCES=$(subst .py,.c,$(subst .pyx,.c,$(wildcard */*.py */*.pyx)))

slides: $(SLIDES) $(SOURCES)

%.html: %.txt
	rst2s5 --current-slide --language=en $< $@

%.c: %.py
	cython --annotate $<

%.c: %.pyx
	cython --annotate $<

clean:
	rm -f *~ $(SLIDES) $(SOURCES) $(subst .c,.html,$(SOURCES))

=== debian/changelog ===
cython (3.1.6+dfsg-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Oct 2025 06:40:04 +0100

cython (3.1.6+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from python3-setuptools (closes: #1116724).

  [ Colin Watson ]
  * New upstream release:
    - Fixes GCC out-of-memory during tests on i386 (closes: #1114604).
    - Add support for Python 3.14 (closes: #1117978).
  * Fix manual page generation (closes: #1105905).

 -- Colin Watson <cjwatson@debian.org>  Sat, 25 Oct 2025 22:17:28 +0100

cython (3.0.11+dfsg-2ubuntu5) resolute; urgency=medium

  * Restore <!nocheck> build-dependencies, this resulted in
    many dependency-level changes in the transition tracker

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 08:51:58 +0000

cython (3.0.11+dfsg-2ubuntu4) resolute; urgency=medium

  * Drop <!nocheck> build-dependencies except
    python3-setuptools, see #1116724
  * Disable build-time tests for first build with Python 3.14

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 14:09:32 +0000

cython (3.0.11+dfsg-2ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:09:55 +0000

cython (3.0.11+dfsg-2ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:52:31 +0000

cython (3.0.11+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 11 Feb 2025 12:55:20 +0000

cython (3.0.11+dfsg-1ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:48 +0100

cython (3.0.11+dfsg-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2024 12:41:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper-compat (= 13),
@@ -9,8 +10,8 @@
                gdb <!nocheck>,
                help2man,
                python3-all-dev,
-               python3-numpy <!nocheck>,
-               python3-setuptools <!nocheck>,
+               python3-numpy [!i386] <!nocheck>,
+               python3-setuptools,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
                      python3-sphinx,
                      python3-sphinx-issues,

=== debian/rules ===
--- 
+++ 
@@ -43,21 +43,21 @@
 	dh_installchangelogs --all CHANGES.rst
 
 override_dh_auto_test-arch:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
-	set -e; for P in $(PY3VERS); do \
-	 echo =============== $$P start ===============; \
-	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
-	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
-            --no-refnanny -v -v \
-	    --exclude="(parallel|Debugger|annotate_html|numpy_test|subinterpreters_threading_stress_test)" \
-	    --work-dir=build/work-dir 2>&1; \
-	 then \
-	   echo =============== $$P done ===============; \
-	 else \
-	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
-	 fi; \
-	done
-endif
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
+#	set -e; for P in $(PY3VERS); do \
+#	 echo =============== $$P start ===============; \
+#	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
+#	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
+#           --no-refnanny -v -v \
+#	    --exclude="(parallel|Debugger|annotate_html|numpy_test|subinterpreters_threading_stress_test)" \
+#	    --work-dir=build/work-dir 2>&1; \
+#	 then \
+#	   echo =============== $$P done ===============; \
+#	 else \
+#	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
+#	 fi; \
+#	done
+#endif
 
 override_dh_auto_test-indep:
 	# no tests

=== debian/watch ===
version=4
opts="searchmode=plain, \
      filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%, \
      dversionmangle=s/\+dfsg\d*$//, \
      repacksuffix=+dfsg" \
    https://api.github.com/repos/cython/cython/tags?per_page=100 \
    https://api.github.com/repos/cython/cython/tarball/refs/tags/@ANY_VERSION@
